Get Orders Analytics Table v2
curl --request GET \
--url https://api.retailreadyai.com/api/v2/orders/analytics/table/{facility_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.retailreadyai.com/api/v2/orders/analytics/table/{facility_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.retailreadyai.com/api/v2/orders/analytics/table/{facility_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"order_id": "6f8d7e6a-5b4c-3d2e-1f0g-9h8i7j6k5l4m",
"created_at": "Tue, 08 Apr 2025 10:04:11 GMT",
"updated_at": "Tue, 15 Apr 2025 09:22:18 GMT",
"pickup_date": "Tue, 15 Apr 2025 00:00:00 GMT",
"requested_pickup_date": "Tue, 15 Apr 2025 00:00:00 GMT",
"stage_by": "Mon, 14 Apr 2025 17:00:00 GMT",
"earliest_ship_date": "Mon, 14 Apr 2025 00:00:00 GMT",
"latest_ship_date": "Fri, 18 Apr 2025 00:00:00 GMT",
"requested_ship_date": "Tue, 15 Apr 2025 00:00:00 GMT",
"cancel_by_date": "Sat, 19 Apr 2025 00:00:00 GMT",
"earliest_delivery_date": "Thu, 17 Apr 2025 00:00:00 GMT",
"latest_delivery_date": "Tue, 22 Apr 2025 00:00:00 GMT",
"requested_delivery_date": "Fri, 18 Apr 2025 00:00:00 GMT",
"scheduled_delivery_date": "Fri, 18 Apr 2025 00:00:00 GMT",
"delivery_appointment_date": "Fri, 18 Apr 2025 13:30:00 GMT",
"started_at": "Mon, 14 Apr 2025 13:12:40 GMT",
"packed_at": "Mon, 14 Apr 2025 16:48:03 GMT",
"staged_at": "Mon, 14 Apr 2025 17:20:55 GMT",
"loaded_at": "Tue, 15 Apr 2025 08:41:29 GMT",
"parcel_print_start_time": null,
"parcel_print_end_time": null,
"asn_sent_at": "Tue, 15 Apr 2025 09:22:18 GMT",
"invoice_sent_at": "Tue, 15 Apr 2025 09:25:02 GMT",
"po_acknowledgment_sent_at": "Tue, 08 Apr 2025 10:31:47 GMT",
"brand": "EcoGear",
"line_items": [
{
"ordered_quantity": 150,
"shipped_quantity": 150,
"sku": "ecogear-001",
"upc": "012345678905"
},
{
"ordered_quantity": 100,
"shipped_quantity": 100,
"sku": "ecogear-002",
"upc": "012345678912"
}
],
"order_number": "83652219",
"order_status": "Shipped",
"retailer": "REI",
"total_cartons": 5,
"total_labels": 5,
"total_pallets": 2,
"total_units": 250,
"total_vas_actions": 2,
"unique_labels": 5,
"unique_sku_count": 3
},
{
"order_id": "7g9h8i7j-6k5l-4m3n-2o1p-0q9r8s7t6u5v",
"created_at": "Mon, 07 Apr 2025 08:15:22 GMT",
"updated_at": "Mon, 14 Apr 2025 14:55:32 GMT",
"pickup_date": "Mon, 14 Apr 2025 00:00:00 GMT",
"requested_pickup_date": null,
"stage_by": "Sun, 13 Apr 2025 17:00:00 GMT",
"earliest_ship_date": "Fri, 11 Apr 2025 00:00:00 GMT",
"latest_ship_date": "Wed, 16 Apr 2025 00:00:00 GMT",
"requested_ship_date": "Mon, 14 Apr 2025 00:00:00 GMT",
"cancel_by_date": "Thu, 17 Apr 2025 00:00:00 GMT",
"earliest_delivery_date": null,
"latest_delivery_date": null,
"requested_delivery_date": "Thu, 17 Apr 2025 00:00:00 GMT",
"scheduled_delivery_date": null,
"delivery_appointment_date": null,
"started_at": "Sun, 13 Apr 2025 11:02:09 GMT",
"packed_at": "Sun, 13 Apr 2025 15:44:51 GMT",
"staged_at": "Sun, 13 Apr 2025 16:30:12 GMT",
"loaded_at": "Mon, 14 Apr 2025 07:58:40 GMT",
"parcel_print_start_time": "Sun, 13 Apr 2025 15:45:03 GMT",
"parcel_print_end_time": "Sun, 13 Apr 2025 15:52:17 GMT",
"asn_sent_at": "Mon, 14 Apr 2025 14:55:32 GMT",
"invoice_sent_at": null,
"po_acknowledgment_sent_at": "Mon, 07 Apr 2025 08:40:19 GMT",
"brand": "OutdoorPro",
"line_items": [
{
"ordered_quantity": 480,
"shipped_quantity": 480,
"sku": "outpro-tent-2p",
"upc": "088765432101"
}
],
"order_number": "76291483",
"order_status": "Shipped",
"retailer": "Bass Pro Shops",
"total_cartons": 8,
"total_labels": 10,
"total_pallets": 3,
"total_units": 480,
"total_vas_actions": 4,
"unique_labels": 10,
"unique_sku_count": 6
},
{
"order_id": "8h0i9j8k-7l6m-5n4o-3p2q-1r0s9t8u7v6w",
"created_at": "Sat, 05 Apr 2025 09:48:03 GMT",
"updated_at": "Sat, 12 Apr 2025 08:17:45 GMT",
"pickup_date": null,
"requested_pickup_date": "Wed, 16 Apr 2025 00:00:00 GMT",
"stage_by": "Tue, 15 Apr 2025 17:00:00 GMT",
"earliest_ship_date": "Mon, 14 Apr 2025 00:00:00 GMT",
"latest_ship_date": "Sat, 19 Apr 2025 00:00:00 GMT",
"requested_ship_date": "Wed, 16 Apr 2025 00:00:00 GMT",
"cancel_by_date": "Mon, 21 Apr 2025 00:00:00 GMT",
"earliest_delivery_date": "Fri, 18 Apr 2025 00:00:00 GMT",
"latest_delivery_date": "Thu, 24 Apr 2025 00:00:00 GMT",
"requested_delivery_date": "Mon, 21 Apr 2025 00:00:00 GMT",
"scheduled_delivery_date": null,
"delivery_appointment_date": null,
"started_at": "Fri, 11 Apr 2025 12:20:33 GMT",
"packed_at": "Fri, 11 Apr 2025 18:05:27 GMT",
"staged_at": null,
"loaded_at": null,
"parcel_print_start_time": null,
"parcel_print_end_time": null,
"asn_sent_at": "Sat, 12 Apr 2025 08:17:45 GMT",
"invoice_sent_at": null,
"po_acknowledgment_sent_at": "Sat, 05 Apr 2025 10:12:58 GMT",
"brand": "TrekTech",
"line_items": [
{
"ordered_quantity": 720,
"shipped_quantity": 720,
"sku": "trektech-pack-40l",
"upc": "099887766554"
}
],
"order_number": "92748315",
"order_status": "Packed",
"retailer": "Dick's Sporting Goods",
"total_cartons": 12,
"total_labels": 12,
"total_pallets": 4,
"total_units": 720,
"total_vas_actions": 0,
"unique_labels": 12,
"unique_sku_count": 4
}
],
"message": "Orders analytics table retrieved successfully"
}{
"message": "Invalid facility ID format",
"error": {
"code": "INVALID_REQUEST"
}
}{
"message": "Authentication failed",
"error": {
"code": "UNAUTHORIZED"
}
}{
"message": "Facility not found",
"error": {
"code": "NOT_FOUND"
}
}{
"message": "Failed to retrieve orders analytics",
"error": {
"code": "INTERNAL_SERVER_ERROR"
}
}Orders
Get Orders Analytics Table v2
Fetches a list of orders with analytics data for a specific facility.
GET
/
api
/
v2
/
orders
/
analytics
/
table
/
{facility_id}
Get Orders Analytics Table v2
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID of the facility to fetch orders for
Query Parameters
If page or page_size are not provided, page will default to 1 and page_size will default to 10.
Maximum page_size is 10. If page or page_size are not provided, page will default to 1 and page_size will default to 10.
Filter results by specific order ID
⌘I

